Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022511
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-12-11 11:202012-12-17 13:33
ReporteralostaleView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version3.0MP18
StatusclosedFix in branchpiFixed in SCM revision7b227385bb5f
ProjectionnoneETAnoneTarget Version3.0MP18
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackYes
Summary

0022511: FK drop down filters in P&E windows cannot be selected

DescriptionIn Pick and Execute windows filtering by a foreing key field using the drop down list doesn't work. Two issues:
-Check box in drop down list is not shown
-Items are not selectable

Workaround: it is possible to filter typing in the text field.
Steps To Reproduce-Go to Return to Vendor window
-Create a new record: BP: Bebidas Alegres, S.L.
-Click on Pick/Edit lines
-Try to filter by Product -> Not working
TagsNo tags attached.
Attached Filespng file icon Openbravo - Return to Vendor - 1000000 - 1... - Google Chrome_096.png [^] (73,824 bytes) 2012-12-11 11:21

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0054831)
alostale (developer)
2012-12-11 11:20

Regression introduced in 3.0MP17
(0054874)
hgbot (developer)
2012-12-11 22:13

Repository: erp/devel/pi
Changeset: 15f13c86e4575e95575fa819c4a42cbb7f2fa84c
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Dec 11 22:12:54 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/15f13c86e4575e95575fa819c4a42cbb7f2fa84c [^]

Fixes issue 22511: FK drop down filters in P&E windows cannot be selected
Use addProperties in the correct way, without overwriting the checkboxFieldDefaults.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0054875)
hgbot (developer)
2012-12-11 22:15

Repository: erp/devel/pi
Changeset: 7b227385bb5f2a0c80e00b251974da3f766a9c90
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Dec 11 22:15:20 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7b227385bb5f2a0c80e00b251974da3f766a9c90 [^]

Fixes issue 22511: FK drop down filters in P&E windows cannot be selected
Make a real copy of the original properties in addProperties

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0054876)
mtaal (developer)
2012-12-11 22:17

Open to set reviewer
(0054877)
mtaal (developer)
2012-12-11 22:17

Scheduled
(0054878)
mtaal (developer)
2012-12-11 22:18

Solved
(0054900)
AugustoMauch (developer)
2012-12-12 18:42

Code reviewed and verified in pi@41ca7359b03c
(0054984)
hudsonbot (developer)
2012-12-17 13:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c79ef1b1f830 [^]

Maturity status: Test
(0054985)
hudsonbot (developer)
2012-12-17 13:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c79ef1b1f830 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-12-11 11:20 alostale New Issue
2012-12-11 11:20 alostale Assigned To => mtaal
2012-12-11 11:20 alostale Modules => Core
2012-12-11 11:20 alostale Triggers an Emergency Pack => No
2012-12-11 11:20 alostale Regression level => Production - QA Approved
2012-12-11 11:20 alostale Note Added: 0054831
2012-12-11 11:20 alostale Triggers an Emergency Pack No => Yes
2012-12-11 11:21 alostale File Added: Openbravo - Return to Vendor - 1000000 - 1... - Google Chrome_096.png
2012-12-11 22:13 hgbot Checkin
2012-12-11 22:13 hgbot Note Added: 0054874
2012-12-11 22:13 hgbot Status new => resolved
2012-12-11 22:13 hgbot Resolution open => fixed
2012-12-11 22:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/15f13c86e4575e95575fa819c4a42cbb7f2fa84c [^]
2012-12-11 22:15 hgbot Checkin
2012-12-11 22:15 hgbot Note Added: 0054875
2012-12-11 22:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/15f13c86e4575e95575fa819c4a42cbb7f2fa84c [^] => http://code.openbravo.com/erp/devel/pi/rev/7b227385bb5f2a0c80e00b251974da3f766a9c90 [^]
2012-12-11 22:17 mtaal Note Added: 0054876
2012-12-11 22:17 mtaal Status resolved => new
2012-12-11 22:17 mtaal Resolution fixed => open
2012-12-11 22:17 mtaal Review Assigned To => AugustoMauch
2012-12-11 22:17 mtaal Status new => scheduled
2012-12-11 22:17 mtaal Note Added: 0054877
2012-12-11 22:17 mtaal fix_in_branch => pi
2012-12-11 22:18 mtaal Note Added: 0054878
2012-12-11 22:18 mtaal Status scheduled => resolved
2012-12-11 22:18 mtaal Fixed in Version => 3.0MP18
2012-12-11 22:18 mtaal Resolution open => fixed
2012-12-12 18:42 AugustoMauch Note Added: 0054900
2012-12-12 18:42 AugustoMauch Status resolved => closed
2012-12-17 13:33 hudsonbot Checkin
2012-12-17 13:33 hudsonbot Note Added: 0054984
2012-12-17 13:33 hudsonbot Checkin
2012-12-17 13:33 hudsonbot Note Added: 0054985


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker